﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.Collections;

namespace testForegroundChange
{
    /// <summary>
    /// Interaction logic for Window4.xaml
    /// </summary>
    public partial class Window4 : Window
    {
        public Window4()
        {
            InitializeComponent();
            xamDataGrid1.RecordContainerGenerationMode = Infragistics.Windows.Controls.ItemContainerGenerationMode.PreLoad;
            xamDataGrid1.DataSource = Person.CreatePeople();
            xamDataGrid1.CellUpdated += new EventHandler<Infragistics.Windows.DataPresenter.Events.CellUpdatedEventArgs>(xamDataGrid1_CellUpdated);

           }

        void xamDataGrid1_CellUpdated(object sender, Infragistics.Windows.DataPresenter.Events.CellUpdatedEventArgs e)
        {
            string color = e.Record.Cells["Color"].Value.ToString();
            CellValuePresenter.FromCell(e.Record.Cells["Title"]).Foreground = new BrushConverter().ConvertFromString(color) as Brush;
        }

        void c_Loaded(object sender, RoutedEventArgs e)
        {
            DataRecordCellArea drca = sender as DataRecordCellArea;
            DataRecord dr = drca.Record as DataRecord;
            string color = dr.Cells["Color"].Value.ToString();
            try
            {
                CellValuePresenter.FromCell(dr.Cells["Title"]).Foreground = new BrushConverter().ConvertFromString(color) as Brush;
            }
            catch 
            {
                drca = null;
                dr = null;
                color = "";
            }
        }
        private void Change(Record[] records)
        {
            foreach (Record r in records)
            {
                Brush color = new BrushConverter().ConvertFromString((r as DataRecord).Cells[2].Value.ToString()) as Brush;
                CellValuePresenter.FromCell((r as DataRecord).Cells[1]).Background = color;
            }
        }
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}

